Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.cxf.ws.addressing.wsdl
Enum AnonymousType

    java.lang.Object
      java.lang.Enum<AnonymousType>
          org.apache.cxf.ws.addressing.wsdl.AnonymousType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AnonymousType>

    public enum AnonymousType

extends java.lang.Enum<AnonymousType>

Java class for AnonymousType.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="AnonymousType">
       <restriction base="{http://www.w3.org/2001/XMLSchema}token">
         <enumeration value="optional"/>
         <enumeration value="required"/>
         <enumeration value="prohibited"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`OPTIONAL`
`PROHIBITED`
`REQUIRED`

Method Summary
`static AnonymousType` | `fromValue(java.lang.String v)`
`java.lang.String` | `value()`
`static AnonymousType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AnonymousType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OPTIONAL

    public static final AnonymousType OPTIONAL

### REQUIRED

    public static final AnonymousType REQUIRED

### PROHIBITED

    public static final AnonymousType PROHIBITED

Method Detail

### values

    public static final AnonymousType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(AnonymousType c : AnonymousType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static AnonymousType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public java.lang.String value()

### fromValue

    public static AnonymousType fromValue(java.lang.String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Apache CXF